// Code generated by MockGen. DO NOT EDIT.
// Source: ./redis/session_register_repository.go

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"
	sessionregister "sessionregister"

	gomock "github.com/golang/mock/gomock"
	healthcheck "gitlab.com/commonground/blauwe-knop/health-checker/healthchecker"
)

// MockSessionRepository is a mock of SessionRepository interface.
type MockSessionRepository struct {
	ctrl     *gomock.Controller
	recorder *MockSessionRepositoryMockRecorder
}

// MockSessionRepositoryMockRecorder is the mock recorder for MockSessionRepository.
type MockSessionRepositoryMockRecorder struct {
	mock *MockSessionRepository
}

// NewMockSessionRepository creates a new mock instance.
func NewMockSessionRepository(ctrl *gomock.Controller) *MockSessionRepository {
	mock := &MockSessionRepository{ctrl: ctrl}
	mock.recorder = &MockSessionRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSessionRepository) EXPECT() *MockSessionRepositoryMockRecorder {
	return m.recorder
}

// CreateChallenge mocks base method.
func (m *MockSessionRepository) CreateChallenge(publicKeyFingerprint, publicKeyPEM string) (*sessionregister.Challenge, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateChallenge", publicKeyFingerprint, publicKeyPEM)
	ret0, _ := ret[0].(*sessionregister.Challenge)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateChallenge indicates an expected call of CreateChallenge.
func (mr *MockSessionRepositoryMockRecorder) CreateChallenge(publicKeyFingerprint, publicKeyPEM interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateChallenge", reflect.TypeOf((*MockSessionRepository)(nil).CreateChallenge), publicKeyFingerprint, publicKeyPEM)
}

// CreateSession mocks base method.
func (m *MockSessionRepository) CreateSession(publicKeyPem string) (*sessionregister.SessionToken, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateSession", publicKeyPem)
	ret0, _ := ret[0].(*sessionregister.SessionToken)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateSession indicates an expected call of CreateSession.
func (mr *MockSessionRepositoryMockRecorder) CreateSession(publicKeyPem interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateSession", reflect.TypeOf((*MockSessionRepository)(nil).CreateSession), publicKeyPem)
}

// GetChallenge mocks base method.
func (m *MockSessionRepository) GetChallenge(publicKeyFingerPrint string) (*sessionregister.Challenge, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetChallenge", publicKeyFingerPrint)
	ret0, _ := ret[0].(*sessionregister.Challenge)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetChallenge indicates an expected call of GetChallenge.
func (mr *MockSessionRepositoryMockRecorder) GetChallenge(publicKeyFingerPrint interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetChallenge", reflect.TypeOf((*MockSessionRepository)(nil).GetChallenge), publicKeyFingerPrint)
}

// GetHealthCheck mocks base method.
func (m *MockSessionRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockSessionRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockSessionRepository)(nil).GetHealthCheck))
}

// GetSession mocks base method.
func (m *MockSessionRepository) GetSession(SessionToken string) (*sessionregister.SessionToken, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSession", SessionToken)
	ret0, _ := ret[0].(*sessionregister.SessionToken)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetSession indicates an expected call of GetSession.
func (mr *MockSessionRepositoryMockRecorder) GetSession(SessionToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSession", reflect.TypeOf((*MockSessionRepository)(nil).GetSession), SessionToken)
}
